Skip to main content
DELETE
/
api
/
assistants
/
{assistant_id}
Delete Assistant
curl --request DELETE \
  --url https://api.userintuition.ai/api/assistants/{assistant_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "app_id": "<string>",
  "voice_config": {},
  "is_created": true,
  "system_prompt": "<string>",
  "conv_id": "<string>",
  "enable_video_recording": true,
  "vapi_assistant_id": "<string>",
  "study_id": "<string>",
  "is_offering_enabled": true,
  "repdata_project_id": "<string>",
  "enable_chat": true,
  "screener_questions": [
    {
      "id": "<string>",
      "text": "<string>",
      "type": "single_select",
      "order": 123,
      "options": [
        {
          "id": "<string>",
          "text": "<string>",
          "disqualify": true
        }
      ]
    }
  ],
  "source": "<string>",
  "study_type": "<string>",
  "mode": "<string>",
  "hs_status": "<string>",
  "target_n": 123,
  "time_budget_hours": 123,
  "artifact_text": "<string>",
  "options": [
    "<unknown>"
  ],
  "results": {},
  "estimated_cost": 123,
  "actual_cost": 123,
  "include_transcripts": true,
  "redact_pii": true,
  "audience": "<string>",
  "context": "<string>",
  "locale": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "failure_reason": "<string>",
  "concept_image": "<unknown>",
  "is_concept_test": true,
  "is_paused": true,
  "incentive_amount": 102.5,
  "auto_send_reward": true,
  "total_invites": 123,
  "total_calls": 123,
  "excellent_calls": 123,
  "average_duration_seconds": 123,
  "general_invite_id": "<string>",
  "user_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.userintuition.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.

Path Parameters

assistant_id
string
required

The ID of the assistant to delete

Response

Deleted assistant record

id
string
required

Database primary key ID

created_at
string<date-time>
required

Timestamp when the assistant was created

updated_at
string<date-time>
required

Timestamp when the assistant was last updated

name
string | null

Name associated with the assistant

app_id
string | null

App ID associated with the assistant

voice_config
object

Voice configuration associated with the assistant

is_created
boolean | null

Whether the assistant is created

system_prompt
string | null

System prompt associated with the assistant

conv_id
string | null

Conversation ID associated with the assistant

enable_video_recording
boolean | null

Enable video recording for the assistant

vapi_assistant_id
string | null

VAPI assistant ID associated with the assistant

study_id
string | null

Study ID associated with the assistant

is_offering_enabled
boolean | null

Whether the assistant is offering enabled

repdata_project_id
string | null

Research Desk project ID associated with the assistant

enable_chat
boolean | null

Enable chat for the assistant

screener_questions
object[] | null

Array of screener questions with options for participant qualification

source
string | null

Origin of the assistant (e.g., dashboard, chatgpt, api)

study_type
string | null

Type of study: standard or human_signal

mode
string | null

Human signal mode: standard, preference, claim, or message

hs_status
string | null

Human signal status: queued, fielding, complete, partial, failed, or cancelled

target_n
integer | null

Target number of completed interviews

time_budget_hours
number | null

Maximum hours to wait for responses

artifact_text
string | null

The text, claim, or message being tested

options
any[] | null

Options for preference mode

results
object

Analysis results JSON

estimated_cost
number | null

Estimated cost in USD

actual_cost
number | null

Actual cost in USD after completion

include_transcripts
boolean | null

Whether to include raw transcripts in results

redact_pii
boolean | null

Whether to redact PII from results

audience
string | null

Audience type: general or custom

context
string | null

Optional context about the product, brand, or decision

locale
string | null

Locale for the study

completed_at
string<date-time> | null

Timestamp when the study was completed

failure_reason
string | null

Reason for study failure

concept_image
any | null

Single concept image object with id, url, and label for concept test studies

is_concept_test
boolean | null

Whether this study includes concept test image display during interviews

is_paused
boolean | null

Whether the assistant/study is paused — prevents new calls and invite actions

incentive_amount
number | null

Per-participant incentive amount in USD ($5–$200)

Required range: 5 <= x <= 200
auto_send_reward
boolean | null

Auto-send reward after high-quality BYOP interviews

total_invites
integer | null

Total number of invites

total_calls
integer | null

Total number of calls

excellent_calls
integer | null

Total number of excellent calls

average_duration_seconds
number | null

Average duration of calls in seconds

general_invite_id
string | null

General invite ID

user_id
string | null

User ID